//
//  ELProgressManager.h
//  ELKit
//
//  Created by Douglas Welton on 11/23/14.
//
//

#import <Foundation/Foundation.h>

#import "ELProgressItem.h"
#import "ELProgressLogWindowController.h"

@interface ELProgressManager : NSObject
{
    NSMutableArray                          *progressItems;
    ELProgressLogWindowController           *progressLogController;
    
    BOOL                                     hasSharing;
    BOOL                                     hasShowInFinder;
    }

@property (retain)  NSMutableArray                          *progressItems;
@property (retain)  ELProgressLogWindowController           *progressLogController;

@property           BOOL                                     hasSharing;
@property           BOOL                                     hasShowInFinder;

+ (instancetype) sharedManager;

- (void) addProgressItem: (ELProgressItem *)newItem;

- (void) showProgressLog;

- (BOOL) hasActiveSessions;
- (void) cancelAllActiveSessions;

@end


